GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Namespaces | Enumerations | Functions
engine_types.h File Reference
`#include <string_view>`
Include dependency graph for engine_types.h:
This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | gridfire
namespace | gridfire::engine

## Enumerations
enum class | gridfire::engine::EngineTypes { gridfire::engine::GRAPH_ENGINE , gridfire::engine::ADAPTIVE_ENGINE_VIEW , gridfire::engine::MULTISCALE_PARTITIONING_ENGINE_VIEW , gridfire::engine::PRIMING_ENGINE_VIEW , gridfire::engine::DEFINED_ENGINE_VIEW , gridfire::engine::FILE_DEFINED_ENGINE_VIEW }
| Enumeration of different engine types available in GridFire. More...

## Functions
constexpr std::string_view | gridfire::engine::engine_type_to_string (const EngineTypes type)
| Converts an EngineTypes enum value to its corresponding string representation.